
PYROS - Evolution #4302
Evolution # 4090 (Nouveau): ******************* PYROS SOFTWARE
Evolution # 4093 (Nouveau): ************** (WP) 09.1 – OBSERVATORY CONTROL

******* (M) 09.1.00 - PROJECT MANAGEMENT
09/23/2016 03:27 pm - Jeremy Barneron

Status: Nouveau Start date: 03/29/2016
Priority: Urgent Due date: 11/01/2016
Assignee: Jeremy Barneron % Done: 19%
Category: Estimated time: 461.50 hours
Target version: Spent time: 112.00 hours
Description

Subtasks:
Evolution # 4316: * (F) Architecture du projet Nouveau
  Evolution # 4303: Architecture du projet (organisation dossiers) Nouveau
  Evolution # 4337: git : Create a "dev" branch (do not write anymore on the "master" bra... Nouveau
  Evolution # 4422: public/ : faut-il garder ce dossier qui ne contient qu’un seul dossie... Nouveau
  Evolution # 4425: Créer un mode DEV : jouer avec la variable DEBUG (ou autre ?) dans sr... Nouveau
  Evolution # 4442: (FT) Architecture du projet Nouveau
  Evolution # 4517: Organisation physique des données sur le disque Nouveau
  Evolution # 4518: Think about the way for the user to get his data. Nouveau
  Evolution # 4611: Mise en place d'un système de logging Nouveau
  Evolution # 4742: Implement class inheritage for django models Nouveau
Evolution # 4317: * (F) Documentation Nouveau
  Evolution # 4304: Evolution du redmine concernant PYROS Nouveau
  Actions # 3428: INSTALL doc: update PYROS/install/INSTALL.* doc each time the wiki is u... Nouveau
  Evolution # 4329:  Renommer le script install_requirements.sh en install.sh Nouveau
  Evolution # 4330:  Faciliter l'installation du logiciel complet avec CONDA, qui gère to... Nouveau
  Evolution # 4345: Unit tests : test of each module Nouveau
  Evolution # 4346: Functional tests (with Celery and simulators): complete workflow Nouveau
  Evolution # 4347: LAUNCH: Start simulators / Start Celery / Start pyros Nouveau
  Evolution # 4348: Administration of the database: http://localhost:8000/admin Nouveau
  Evolution # 4349: Interacting with Pyros: http://localhost:8000 Nouveau
  Evolution # 4350: Watch the environment: Devices, Site, Weather Nouveau
  Evolution # 4351: Watch the schedule: Schedule Nouveau
  Evolution # 4352: Watch the data processing (workflow): System (Dashboard) Nouveau
  Evolution # 4353: Submit a Routine Request (and get results): Routines Nouveau
  Evolution # 4354: Watch alerts: Alerts Nouveau
  Evolution # 4356: Manual operations on the Telescope : Devices/Telescope (TODO) Nouveau
  Evolution # 4357: Manage users : Users Nouveau
  Evolution # 4421: Workflow du "démarrage du système" à documenter (tout se qui se décle... Nouveau
Evolution # 4318: * (F) Environment Nouveau
  Evolution # 3407: Test install eclipse from scratch Nouveau
  Evolution # 3412: Hebergement: passer le projet sur sourcesup ou SVOMSOL (CEA) Nouveau
  Evolution # 3413: Jenkins: Intégration continue avec Jenkins (+ run des tests sur une V... Nouveau
  Actions # 3419: Win10: Installer une VM windows 10 pour les tests Nouveau
  Evolution # 4323: Runtime : check environnement (RabbitMQ, Mysql (sauf si choisi sqllite)) Nouveau
  Evolution # 4328: Si l'environnement virtuel existe déjà, demander s'il doit être recré... Nouveau
  Evolution # 4331: Pyros Doit pouvoir être démarré indifféremment AVANT (par défaut) les... Nouveau
  Evolution # 4334: Update to django 1.10 Nouveau
  Evolution # 4335: Remplacer le serveur web de "dev" (manage runserver, sur port 8000) p... Nouveau
  Evolution # 4336: Comet installation : Include in the install_requirements.sh script (b... Nouveau
  Evolution # 4591: WIN pyrosrun.bat to be updated Nouveau
Evolution # 4319: MEETINGS Nouveau
Evolution # 4320: * (F) Assets Nouveau
  Evolution # 3404: Models: bien définir les valeurs par défaut Nouveau
Anomalie # 4321: * (F) Conventions Nouveau
  Actions # 3585: (A LA FIN DE CHAQUE VERSION, POUR VALIDATION) Mettre à jour la version ... Nouveau
Anomalie # 4324: * (F) Tests Nouveau
  Evolution # 4325: Test (tester la présence des prérequis) Nouveau
  Anomalie # 4327: Mettre en place une exécution systématique des tests à chaque commit (... Nouveau
  Evolution # 4513: Tests unitaires (pyrosrun.sh unittest): les tests unitaires ne devrai... Nouveau
Evolution # 4332: Pyros De manière générale, doit être le plus possible "tolérant aux p... Nouveau
Evolution # 4333: Doit être le plus générique et donc paramétrable possible Nouveau
Evolution # 4504: Données simulées : faire l'inventaire des données dont on a besoin (a... Nouveau

History
#1 - 09/23/2016 03:43 pm - Jeremy Barneron
- Target version deleted (148)

#2 - 09/23/2016 03:45 pm - Jeremy Barneron
- Parent task set to #4090

#3 - 09/30/2016 10:44 am - Jeremy Barneron
- Subject changed from ******* (M) 09.1.97 - Project Management to ******* (M) 09.1.97 - PROJECT MANAGEMENT

#4 - 09/30/2016 10:45 am - Jeremy Barneron
- Subject changed from ******* (M) 09.1.97 - PROJECT MANAGEMENT to ******* (M) 09.1.00 - PROJECT MANAGEMENT

#5 - 09/30/2016 10:46 am - Jeremy Barneron

Everything which is in relation with the project evolution

#6 - 09/30/2016 10:47 am - Jeremy Barneron

everything which is in relation with the project evolution

#7 - 09/30/2016 10:47 am - Jeremy Barneron

everything which is in relation with the project evolution

#8 - 11/10/2016 12:22 pm - Etienne Pallier
- Parent task changed from #4090 to #4093
